# UpdateAccount

Modify account name.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - The account address to be modified, converted to a hex string
* `account_name` - String - The name of the account, converted to a hex string
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false)
* `Permission_id` - int32 -Optional. For multi-signature use

## **Returns**

Transaction - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `AccountUpdateContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type   | Description     |
| -------------- | ------ | --------------- |
| owner\_address | string | account address |
| account\_name  | string | account name    |

```json
// Result
{
  "visible": true,
  "txID": "11c8954fad8cb0d57b97b1b5b1457a8d9975ca66897d24b08b0dead20d17d83f",
  "raw_data": {
    "contract": [
      {
        "parameter": {
          "value": {
            "account_name": "0x7570646174654e616d6531353330383933343635353139",
            "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g"
          },
          "type_url": "type.googleapis.com/protocol.AccountUpdateContract"
        },
        "type": "AccountUpdateContract"
      }
    ],
    "ref_block_bytes": "581e",
    "ref_block_hash": "955eb0e5d09aa4ae",
    "expiration": 1756819164000,
    "timestamp": 1756819104492
  },
  "raw_data_hex": "0a02581e2208955eb0e5d09aa4ae40e096d4d490335a8301080a127f0a32747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e4163636f756e74557064617465436f6e747261637412490a30307837353730363436313734363534653631366436353331333533333330333833393333333433363335333533313339121541fd49eda0f23ff7ec1d03b52c3a45991c24cd440e70ecc5d0d49033"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/updateaccount \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "account_name": "0x7570646174654e616d6531353330383933343635353139",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/accounts/updateaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
